Page MenuHomePhabricator

Prevent updateInputSize() in mw.rcfilters.ui.FilterTagMultiselectWidget
Closed, ResolvedPublic

Description

  • Causes a forced reflow because of the height measurement in updateIfHeightChanged in response to item removals, even though (we think) no items were actually removed
  • Verify ‘resize’ event (from updateIfHeightChanged) is not listened to
  • And/or address event-based cause (updateInputSize called for 0-item removals?)

Event Timeline

kostajh triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 7:55 PM

Change 442197 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] RC Filters: Only attempt to remove tag if we can find an item for it

https://gerrit.wikimedia.org/r/442197

Change 442197 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Only attempt to remove tag if we can find an item for it

https://gerrit.wikimedia.org/r/442197

Change 442745 had a related patch set uploaded (by Catrope; owner: Kosta Harlan):
[mediawiki/core@wmf/1.32.0-wmf.10] RCFilters: Only attempt to remove tag if we can find an item for it

https://gerrit.wikimedia.org/r/442745

Change 442745 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.10] RCFilters: Only attempt to remove tag if we can find an item for it

https://gerrit.wikimedia.org/r/442745

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-06-28T00:32:49Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/includes: Watchlist perf patches for SWAT, part 1 (T197168, T198140, T198142) (duration: 01m 13s)

Mentioned in SAL (#wikimedia-operations) [2018-06-28T00:33:57Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.10/resources: Watchlist perf patches for SWAT, part 2 (T197168, T198140, T198142) (duration: 00m 57s)

Etonkovidova closed this task as Resolved.Jun 29 2018, 7:32 PM
Vvjjkkii renamed this task from Prevent updateInputSize() in mw.rcfilters.ui.FilterTagMultiselectWidget to fbaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed kostajh as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
JJMC89 renamed this task from fbaaaaaaaa to Prevent updateInputSize() in mw.rcfilters.ui.FilterTagMultiselectWidget.Jul 1 2018, 4:08 AM
JJMC89 closed this task as Resolved.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 assigned this task to kostajh.
JJMC89 updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 5 2018, 7:07 PM